components:
  schemas:
    Fan_v1_6_0_Actions:
      additionalProperties: false
      description: The available actions for this resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Fan_v1_6_0_OemActions'
          description: The available OEM-specific actions for this resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this resource.
      type: object
      x-longDescription: This type shall contain the available actions for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Fan_v1_6_0_Fan:
      additionalProperties: false
      description: The `Fan` schema describes a cooling fan unit for a computer system
        or similar devices contained within a chassis.  It also describes the location,
        such as a slot, socket, or bay, where a unit can be installed, by populating
        a resource instance with an absent state if a unit is not present.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Fan_v1_6_0_Actions'
          description: The available actions for this resource.
          x-longDescription: This property shall contain the available actions for
            this resource.
        Assembly:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          description: The link to the assembly associated with this fan.
          readOnly: true
          x-longDescription: This property shall contain a link to a resource of type
            `Assembly`.
        Description:
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          - enum:
            - null
          readOnly: true
        FanDiameterMm:
          description: The diameter of the fan assembly in millimeter units.
          format: int64
          minimum: 0
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the diameter of the fan assembly
            in millimeter units.
          x-units: mm
          x-versionAdded: v1_4_0
        HotPluggable:
          description: An indication of whether this device can be inserted or removed
            while the equipment is in operation.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether the device can be
            inserted or removed while the underlying equipment otherwise remains in
            its current operational state.  Hot-pluggable devices can become operable
            without altering the operational state of the underlying equipment.  Devices
            that cannot be inserted or removed from equipment in operation, or devices
            that cannot become operable without affecting the operational state of
            that equipment, shall not be hot-pluggable.
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Links:
          $ref: '#/components/schemas/Fan_v1_6_0_Links'
          description: The links to other resources that are related to this resource.
          x-longDescription: This property shall contain links to resources that are
            related to but are not contained by, or subordinate to, this resource.
          x-versionAdded: v1_2_0
        Location:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Location
          description: The location of the fan.
          x-longDescription: This property shall contain the location information
            of this fan.
        LocationIndicatorActive:
          description: An indicator allowing an operator to physically locate this
            resource.
          nullable: true
          readOnly: false
          type: boolean
          x-longDescription: This property shall contain the state of the indicator
            used to physically identify or locate this resource.
        Manufacturer:
          description: The manufacturer of this fan.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the name of the organization
            responsible for producing the fan.  This organization may be the entity
            from whom the fan is purchased, but this is not necessarily true.
        Model:
          description: The model number for this fan.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the model information as
            defined by the manufacturer for this fan.
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        PartNumber:
          description: The part number for this fan.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the part number as defined
            by the manufacturer for this fan.
        PhysicalContext:
          $ref: http://redfish.dmtf.org/schemas/v1/PhysicalContext.yaml#/components/schemas/PhysicalContext_PhysicalContext
          description: The area or device associated with this fan.
          readOnly: true
          x-longDescription: This property shall contain a description of the affected
            device or region within the chassis with which this fan is associated.
        PowerWatts:
          description: Power consumption (W).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorPowerExcerpt
          - enum:
            - null
          x-excerptCopy: SensorPowerExcerpt
          x-longDescription: This property shall contain the total power, in watt
            units, for this resource.  The value of the `DataSourceUri` property,
            if present, shall reference a resource of type `Sensor` with the `ReadingType`
            property containing the value `Power`.
          x-versionAdded: v1_1_0
        RatedSecondarySpeedRPM:
          description: The rated maximum rotational speed of the second rotor in a
            multi-rotor fan.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the rated maximum rotational
            speed of the second rotor in a multi-rotor fan in revolutions per minute
            (RPM) units.
          x-units: '{rev}/min'
          x-versionAdded: v1_6_0
        RatedSpeedRPM:
          description: The rated maximum rotational speed of the fan.
          format: int64
          nullable: true
          readOnly: true
          type: integer
          x-longDescription: This property shall contain the rated maximum rotational
            speed of the fan in revolutions per minute (RPM) units.
          x-units: '{rev}/min'
          x-versionAdded: v1_6_0
        Replaceable:
          description: An indication of whether this component can be independently
            replaced as allowed by the vendor's replacement policy.
          nullable: true
          readOnly: true
          type: boolean
          x-longDescription: This property shall indicate whether this component can
            be independently replaced as allowed by the vendor's replacement policy.  A
            value of `false` indicates the component needs to be replaced by policy
            as part of another component.  If the `LocationType` property of this
            component contains `Embedded`, this property shall contain `false`.
          x-versionAdded: v1_3_0
        SecondarySpeedPercent:
          description: The fan speed (percent) of the second rotor in a multi-rotor
            fan.
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorFanExcerpt
          - enum:
            - null
          x-excerptCopy: SensorFanExcerpt
          x-longDescription: This property shall contain the fan speed, in percent
            units, for the secondary rotor of this resource.  Services should calculate
            the value of `Reading` by dividing `SpeedRPM` by `RatedSecondarySpeedRPM`.  The
            value of the `DataSourceUri` property, if present, shall reference a resource
            of type `Sensor` with the `ReadingType` property containing the value
            `Percent`.
          x-versionAdded: v1_5_0
        SerialNumber:
          description: The serial number for this fan.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the serial number as defined
            by the manufacturer for this fan.
        SparePartNumber:
          description: The spare part number for this fan.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the spare or replacement
            part number as defined by the manufacturer for this fan.
        SpeedPercent:
          description: The fan speed (percent).
          oneOf:
          - $ref: http://redfish.dmtf.org/schemas/v1/Sensor.yaml#/components/schemas/Sensor_SensorFanExcerpt
          - enum:
            - null
          x-excerptCopy: SensorFanExcerpt
          x-longDescription: This property shall contain the fan speed, in percent
            units, for this resource.  Services should calculate the value of `Reading`
            by dividing `SpeedRPM` by `RatedSpeedRPM`.  The value of the `DataSourceUri`
            property, if present, shall reference a resource of type `Sensor` with
            the `ReadingType` property containing the value `Percent`.
        Status:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Status
          description: The status and health of the resource and its subordinate or
            dependent resources.
          x-longDescription: This property shall contain any status or health properties
            of the resource.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This resource shall represent a cooling fan for a Redfish
        implementation.  It may also represent a location, such as a slot, socket,
        or bay, where a unit may be installed, but the `State` property within the
        `Status` property contains `Absent`.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Fan_v1_6_0_Links:
      additionalProperties: false
      description: The links to other resources that are related to this resource.
      properties:
        CoolingChassis:
          description: An array of links to the chassis that are directly cooled by
            this fan.
          items:
            $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_idRef
          readOnly: true
          type: array
          x-longDescription: This property shall contain an array of links to resources
            of type `Chassis` that represent the chassis directly cooled by this fan.  This
            property shall not be present if the fan is only providing cooling to
            its containing chassis.
          x-versionAdded: v1_2_0
        CoolingChassis@odata.count:
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_count
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties contained in this object shall conform to the Redfish
            Specification-described requirements.
      type: object
      x-longDescription: This Redfish Specification-described type shall contain links
        to resources that are related to but are not contained by, or subordinate
        to, this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Fan_v1_6_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
title: '#Fan.v1_6_0.Fan'
x-copyright: Copyright 2014-2025 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-language: en
x-owningEntity: DMTF
x-release: '2025.3'
